Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450964 - PackageKit should own /etc/bash_completion.d/
Summary: PackageKit should own /etc/bash_completion.d/
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 22:08 UTC by petrosyan
Modified: 2008-06-23 09:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 09:58:24 UTC


Attachments (Terms of Use)

Description petrosyan 2008-06-11 22:08:39 UTC
Description of problem:
'/etc/bash_completion.d' folder should be owned by PackageKit package.

Version-Release number of selected component (if applicable):
PackageKit-0.1.12-13.20080522.fc9

Steps to Reproduce:
1. rpm -qf /etc/bash_completion.d/pk-completion.bash
2. rpm -qf /etc/bash_completion.d

Actual results:
file /etc/bash_completion.d is not owned by any package

Additional info:
PackageKit does not require bash-completion package and therefore it should 
own /etc/bash_completion.d folder.

Comment 1 Richard Hughes 2008-06-12 10:52:01 UTC
Should PackageKit just ship a subpackage for the bash completion thing? What do
other packages do?

Comment 2 petrosyan 2008-06-12 15:38:32 UTC
The following packages provide bash completion files:
rpmlint, boince-client, git, quilt, monotone, cowsay, bzr.
and they all own '/etc/bash_completion.d' folder.
I did not find anybody providing a subpackage just for the bash completion.

Comment 3 Jens Petersen 2008-06-23 02:33:46 UTC
Surely bash should own it, no?

Comment 4 petrosyan 2008-06-23 04:57:07 UTC
According to Fedora packaging guidelines "your package should own all of the
directories it creates except those owned by packages which your package depends
on".
http://fedoraproject.org/wiki/PackagingDrafts/DirectoryOwnershipImprovement

PackageKit does not depend on bash-completion package. This means that
PackageKit should own /etc/bash_completion.d/ folder just as other packages
(rpmlint, boince-client, git, quilt, monotone, cowsay, bzr) are doing it.

Comment 5 Jens Petersen 2008-06-23 06:04:27 UTC
(In reply to comment #4)
> According to Fedora packaging guidelines "your package should own all of the
> directories it creates except those owned by packages which your package depends
> on".
> http://fedoraproject.org/wiki/PackagingDrafts/DirectoryOwnershipImprovement

ie http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership

> PackageKit does not depend on bash-completion package. This means that
> PackageKit should own /etc/bash_completion.d/ folder just as other packages
> (rpmlint, boince-client, git, quilt, monotone, cowsay, bzr) are doing it.

Hmm maybe you're right.  Somehow it just seems easier if bash owned that directory.
It is hard to imagine a system without bash installed anyway.

Comment 6 Roman Rakus 2008-06-23 08:54:42 UTC
Surely bash shouldn't own it. Bash does nothing with /etc/bash_completion.d/. In
this case PackageKit should own this directory. It is said in
http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership.

Comment 7 Richard Hughes 2008-06-23 09:58:24 UTC
I've committed this to the devel branch, I'll update F9 when I next build the
package. Thanks.


Note You need to log in before you can comment on or make changes to this bug.